
<div *ngIf="workOrder">
    <h5><span jhiTranslate="mpmApp.workOrder.detail.title">Work Order</span> {{workOrder.idRequirement}}</h5>
    <hr>
    <jhi-alert-error></jhi-alert-error>
    <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="mpmApp.workOrder.vehicleNumber">Vehicle Number</span></dt>
        <dd>
            <span>{{workOrder.vehicleNumber}}</span>
        </dd>
        <dt><span jhiTranslate="mpmApp.workOrder.customer">Customer</span></dt>
        <dd>
            <div *ngIf="workOrder.customerId">
                <a [routerLink]="['/customer', workOrder.customerId]">{{workOrder.customerId}}</a>
            </div>
        </dd>
        <dt><span jhiTranslate="mpmApp.workOrder.mechanic">Mechanic</span></dt>
        <dd>
            <div *ngIf="workOrder.mechanicId">
                <a [routerLink]="['/mechanic', workOrder.mechanicId]">{{workOrder.mechanicId}}</a>
            </div>
        </dd>
        <dt><span jhiTranslate="mpmApp.workOrder.vehicle">Vehicle</span></dt>
        <dd>
            <div *ngIf="workOrder.vehicleId">
                <a [routerLink]="['/vehicle-identification', workOrder.vehicleId]">{{workOrder.vehicleId}}</a>
            </div>
        </dd>
    </dl>

    <button type="submit"
            (click)="previousState()"
            class="btn btn-info">
        <span class="fa fa-arrow-left"></span>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
    </button>

    <button type="button"
            [routerLink]="['/', { outlets: { popup: 'work-order/'+ workOrder.idRequirement + '/edit'} }]"
            replaceUrl="true"
            class="btn btn-primary">
        <span class="fa fa-pencil"></span>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
    </button>
</div>
